Error building plugin: Class XXPlugin was not a valid plugin class for service: WorkflowNodeStep #1894

Closed
miguelantonio opened this Issue Jun 13, 2016 · 7 comments

Projects

None yet

3 participants

@miguelantonio
Contributor

Hi! just want to document something that happened to me, but just solved it

This error showed up as I was not declaring the default constructor public XXPlugin(){}

That's all, this issue is just for documentation, thanks!

@gschueler
Contributor

should enhance the error message to be more informative: "expected class YY, with a public constructor with no parameters"

@miguelantonio
Contributor

@gschueler hey about this, how about we just add the exception in isValidProviderClass? or do you have any other guideline for us to follow so we can contrib?

@miguelantonio
Contributor

Ok, so just add a text advice then, full: "Class XXPlugin was not a valid plugin class for service: WorkflowNodeStep. Expected class XX, with a public constructor with no parameter"

@variacode95

@gschueler
Contributor
@variacode95

Understood and Acknowledged !! 👍

@gschueler gschueler added this to the 2.6.9 milestone Jun 30, 2016
@gschueler gschueler closed this Jun 30, 2016
@gschueler
Contributor
gschueler commented Jun 30, 2016 edited

via #1921

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment